Download MetaTrader 5

How can I revert back to an older version of my Mt4?

To add comments, please log in or register
rthaddix
18
rthaddix  
I am interested in adding an ea to my mt4 platform but with the newer platforms the mql4 files will not automatically transform in to a ex4 file like it use to with the older mt4's. Can anyone help please?
Ubzen
5390
Ubzen  
rthaddix: How can I revert back to an older version of my Mt4?
I am interested in adding an ea to my mt4 platform but with the newer platforms the mql4 files will not automatically transform in to a ex4 file like it use to with the older mt4's. Can anyone help please?
Search for the version you're looking for in Google.
rthaddix
18
rthaddix  
ubzen:
Search for the version you're looking for in Google.



Since the 500+ builds came out they are no longer available for download! Apparently brokers will not allow trading on them. I only want one to be able to transform indicators form a mql4 to a ex4 file.

Ian Venner
2584
Ian Venner  

Open the mq4 file in metaeditor and hit compile. It will make an ex4 file and you will see the EA available to use in your MT4 Terminal. This is assuming there are no errors in the mq4 code and it does compile successfully.

Ubzen
5390
Ubzen  
rthaddix: Since the 500+ builds came out they are no longer available for download! Apparently brokers will not allow trading on them. I only want one to be able to transform indicators form a mql4 to a ex4 file.

Compile it just like the rest of us.

https://book.mql4.com/metaeditor/compose .

https://www.mql5.com/en/articles/1475 .

Tjipke de Vries
6392
Tjipke de Vries  
rthaddix:
I am interested in adding an ea to my mt4 platform but with the newer platforms the mql4 files will not automatically transform in to a ex4 file like it use to with the older mt4's. Can anyone help please?
rthaddix:



Since the 500+ builds came out they are no longer available for download! Apparently brokers will not allow trading on them. I only want one to be able to transform indicators form a mql4 to a ex4 file.

looks to me you're having a decompiled file

and you know why it is impossible to use on a version MT4 build 500+

if not show the code you have trouble with .....

rthaddix
18
rthaddix  

Thank you for the responses, I really am beside myself! Here is the code that will not compile-(Do you see anything wrong with it?)

/*
Generated by EX4-TO-MQ4 decompiler V4.0.224.1 []
Website: http://purebeam.biz
E-mail : purebeam@gmail.com
*/

#property indicator_chart_window

<CODE REMOVED BY MODERATOR>.
Alain Verleyen
Moderator
33504
Alain Verleyen  
rthaddix:

Thank you for the responses, I really am beside myself! Here is the code that will not compile-(Do you see anything wrong with it?)

/*
Generated by EX4-TO-MQ4 decompiler V4.0.224.1 []
Website: http://purebeam.biz
E-mail : purebeam@gmail.com
*/

#property indicator_chart_window

<CODE REMOVED BY MODERATOR>.

Yes, this is decompiled code. It's not possible to compile it starting from build 500. And you can't use older MT4 version.

Don't use decompiled code.

whroeder1
16108
whroeder1  

You can not compile decompiled code any more.

Decompiled code is stolen code. Either you are a thief or the receiver of stolen (intellectual) property.

Either way we will not be an accomplice after the fact to theft.

See also https://www.mql5.com/en/forum/134317

If you post decompiled code again, you will be banned.

rthaddix
18
rthaddix  
WHRoeder:

You can not compile decompiled code any more.

Decompiled code is stolen code. Either you are a thief or the receiver of stolen (intellectual) property.

Either way we will not be an accomplice after the fact to theft.

See also https://www.mql5.com/en/forum/134317

If you post decompiled code again, you will be banned.



Obviously I did not know. I got it from a site that offers shared software! Trying to figure it out but it makes since that the newer nmt4 platforms are weeding out the decompiled codes looks like to protect the rights of the owner. I wouldn't want my software shared! Thanks for bringing light to my mystery! I am fairly computer literate but I was stumped on this one.
To add comments, please log in or register